/*
 * MCS Media Computer Software Copyright (c) 2007 by MCS
 * -------------------------------------- Created on 24.01.2007 by w.klaas
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
/**
 * 
 */
package de.mcs.utils;

import junit.framework.TestCase;

/**
 * @author w.klaas
 * 
 */
public class TstNumberHelper extends TestCase {

    /**
     * Test method for
     * {@link de.mcs.utils.NumberHelper#parseInt(java.lang.String)}.
     */
    public void testParseInt() {
        assertEquals(1024, NumberHelper.parseInt("1K"));
        assertEquals(2048, NumberHelper.parseInt("2K"));

        assertEquals(1024 * 1024, NumberHelper.parseInt("1M"));
        assertEquals(2048 * 1024, NumberHelper.parseInt("2M"));

        assertEquals(1024 * 1024 * 1024, NumberHelper.parseInt("1G"));
        assertEquals(2048 * 1024 * 1024, NumberHelper.parseInt("2G"));

        assertEquals(1000, NumberHelper.parseInt("1k"));
        assertEquals(2000, NumberHelper.parseInt("2k"));

        assertEquals(1000 * 1000, NumberHelper.parseInt("1m"));
        assertEquals(2000 * 1000, NumberHelper.parseInt("2m"));

        assertEquals(1000 * 1000 * 1000, NumberHelper.parseInt("1g"));
        assertEquals(2000 * 1000 * 1000, NumberHelper.parseInt("2g"));
    }

    /**
     * Test method for
     * {@link de.mcs.utils.NumberHelper#parseTime(java.lang.String)}.
     */
    public void testParseTime() {
        assertEquals(1000, NumberHelper.parseTime("1s"));
        assertEquals(1000 * 2, NumberHelper.parseTime("2s"));

        assertEquals(1000 * 60, NumberHelper.parseTime("1m"));
        assertEquals(1000 * 2 * 60, NumberHelper.parseTime("2m"));

        assertEquals(1000 * 60 * 60, NumberHelper.parseTime("1h"));
        assertEquals(1000 * 2 * 60 * 60, NumberHelper.parseTime("2h"));

        assertEquals(1000 * 60 * 60 * 24, NumberHelper.parseTime("1D"));
        assertEquals(1000 * 2 * 60 * 60 * 24, NumberHelper.parseTime("2D"));
    }

}
